﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>jQuery</title>
    <link href="StyleSheet.css" type="text/css" rel="stylesheet" />
    <script src="http://code.jquery.com/jquery.min.js" type="text/javascript"></script>
    <script type="text/javascript">
        $(document).ready(function () {
            //set the table css
            $('table').addClass('myTable');

            //set first row color to red (after header)
            $('tr:eq(1)').css('background-color', 'red');

            //add some rows to table
            for (var i = 1; i < 10; i++) {
                $('table').append("<tr><td>Client " + i + "</td><td>" + 10 + i + "</td></tr>");
            }

            //set even row background color (with index more than 1)
            $('tr:even:gt(1)').css('background-color', 'silver');

            //set backround of last row to be same as the forst row (non header)
            $('tr:last').css('background-color', $('tr:eq(1)').css('background-color'))

            //inser after second child
            $('th:nth-child(2)').text('Total (£)').after('<th>Total ($)</th>');

            //convert each value after second child for each row
            $('td:nth-child(2)').after('<td/>').each(function () {
                $(this).next().text((parseInt($(this).text()) * 1.5).toFixed(0));
            });

            //find the button with value reset and link with text add and give it some styles
            $(':submit[value="Reset"], a:contains("Add")').css('float', 'left').css('margin', '5px').css('color', 'green');

            //catch the submit action and read hidden value
            $('form[action$="/Reset"]').submit(function () {
                var summitName = $(':hidden', this).attr('value');
                return confirm('Are you sure you want to Reset ' + summitName + ' ?');
            });

        });
    </script>
</head>
<body>
    <form id="form1" action="/Reset">
    <div>
        <table>
            <thead>
                <tr>
                    <th>
                        Name
                    </th>
                    <th>
                        Total £
                    </th>
                </tr>
            </thead>
            <tr>
                <td>
                    Client first
                </td>
                <td>
                    100
                </td>
            </tr>
            <tr>
                <td>
                    Client second
                </td>
                <td>
                    200
                </td>
            </tr>
        </table>
        <input type="hidden" name="formValue" value="my form" />
        <input type="submit" value="Reset" />
        <a href="">Add</a>
    </div>
    </form>
</body>
</html>
